package com.gic.haoban.app.daily.web.errcode;

/**
 * Created by hua on 2019/2/26.
 */
public enum HaoBanErrCode{
    /**
     * 操作失败
     */
    ERR_0( 0,"操作失败" ),
    /**
     * 操作成功
     */
    ERR_1( 1,"操作成功" ),
    /**
     * 缺少参数
     */
    ERR_2( 2,"缺少参数" ),
    /**
     * 系统异常
     */
    ERR_3( 3,"系统异常" ),
    ERR_100000( 100000,"品牌在GIC平台没有没有对应关系" ),
    ERR_100001( 100001,"预览日报,参数不能为空" ),
    ERR_100002( 100002,"删除日报任务失败" ),

    ERR_OTHER( -999,"未知错误code" );
    private int code;
    private String msg;

    private HaoBanErrCode(int code,String value){
        this.code = code;
        this.msg = value;
    }

    public static HaoBanErrCode getValue(int code){
        for( HaoBanErrCode sec: HaoBanErrCode.values() ){
            if( code == sec.getCode() ){
                return sec;
            }
        }
        ERR_OTHER.setMsg( "未知错误code："+code );
        return ERR_OTHER;
    }

    public int getCode(){
        return code;
    }

    public void setCode(int code){
        this.code = code;
    }

    public String getMsg(){
        return msg;
    }

    public void setMsg(String msg){
        this.msg = msg;
    }
}
