package com.gic.haoban.app.daily.mobile.web.controller;

import com.gic.haoban.app.daily.mobile.web.errCode.HaoBanErrCode;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.redis.data.util.RedisUtil;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created 2019/2/26.
 *
 * @author hua
 */
@RestController
public class TestController extends WebBaseController{

    @RequestMapping("/test")
    public HaobanResponse test() {
        return resultResponse(HaoBanErrCode.ERR_OTHER);
    }
    
    @RequestMapping("/getRedisByKey")
    public HaobanResponse test2(String key) {
    	String o = RedisUtil.getCache(key).toString();
        return resultResponse( HaoBanErrCode.ERR_1,o);
    }
}
