package com.gic.haoban.app.daily.mobile.web.errCode;

/**
 * Created by hua on 2019/2/26.
 */
public enum HaoBanErrCode{
    /**
     * 操作失败
     */
    ERR_0( 0,"操作失败" ),
    /**
     * 操作成功
     */
    ERR_1( 1,"操作成功" ),
    /**
     * 缺少参数
     */
    ERR_2( 2,"缺少参数" ),
    /**
     * 系统异常
     */
    ERR_3( 3,"系统异常" ),


    //日报
    ERR_961000( 961000,"日报加载异常" ),
    ERR_961001( 961001,"日报处理异常" ),
    ERR_961002( 961002,"日报保存异常" ),
    ERR_961003( 961003,"日报模板不存在" ),
    ERR_961004( 961004,"门店竞品信息查询失败" ),
    ERR_961005( 961005,"门店竞品信息保存失败" ),
    ERR_961006( 961006,"竞品名称过长,请重新输入（中文不能超过5个字,英文不能超过10个字母）" ),
    ERR_961007( 961007,"该任务已经分配给其他店员了" ),
    ERR_961008( 961008,"竞品已经存在了" ),
    ERR_961009( 961009,"竞品保存失败了" ),
    ERR_961010( 961010,"好办店员在gic系统中没有对应关系" ),

    ERR_OTHER( -999,"未知错误code" );
    private int code;
    private String msg;

    private HaoBanErrCode(int code,String value){
        this.code = code;
        this.msg = value;
    }

    public static HaoBanErrCode getValue(int code){
        for( HaoBanErrCode sec: HaoBanErrCode.values() ){
            if( code == sec.getCode() ){
                return sec;
            }
        }
        ERR_OTHER.setMsg( "未知错误code："+code );
        return ERR_OTHER;
    }

    public int getCode(){
        return code;
    }

    public void setCode(int code){
        this.code = code;
    }

    public String getMsg(){
        return msg;
    }

    public void setMsg(String msg){
        this.msg = msg;
    }
}
